PGAGetDataType(8)

NAME
PGAGetDataType - Returns the data type used by the given context.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetDataType(ctx)
PGAContext *ctx

LOCATION
pga.c

EXAMPLE
Example:
PGAContext *ctx;
int datatype;
:
datatype = PGAGetDataType(ctx);
switch (datatype) {
case PGA_DATATYPE_BINARY:
printf("Data Type = PGA_DATATYPE_BINARY);
break;
case PGA_DATATYPE_CHARACTER:
printf("Data Type = PGA_DATATYPE_CHARACTER);
break;
case PGA_DATATYPE_INTEGER:
printf("Data Type = PGA_DATATYPE_INTEGER);
break;
case PGA_DATATYPE_REAL:
printf("Data Type = PGA_DATATYPE_REAL);
break;
case PGA_DATATYPE_USER:
printf("Data Type = PGA_DATATYPE_USER);
break;
}